# -*- Mode: python -*-
#
# cmd_delpl.py - delpl command
#
# Copyright (C) 2003 Brett Smith <bretts@canonical.org>
#
# This file is part of positron.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of a BSD-style license (see the COPYING file in the
# distribution).
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTIBILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the license for more details.

"""positron delpl:\tDelete a Neuros playlist.

   positron delpl <playlist>

       Delete the Neuros playlist with the specified name.
"""

def run(config, neuros, args):
    playlist_name = args.pop(0)

    audio_db = neuros.open_db('audio')
    pl_db = audio_db.children[0]

    playlist_sai = pl_db.find(playlist_name)
    if playlist_sai is None:
        print "Playlist not found: %s!" % playlist_name
    else:
        print "Deleting playlist: %s..." % playlist_name
        pl_db.delete_record(playlist_sai)
        print "\nDone!"
